<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
    <style>
      .container {
        margin: 20%;
        width: 50%;
        border: 3px solid green;
        padding: 10px;
        text-align: center;
      }
      button {
        background-color: #4caf50;
        border: none;
        color: white;
        padding: 15px 32px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 16px;
      }
    </style>
  </head>
  <body>
    <div class="container">
      <h2>Number of vowels</h2>
      <p>Enter the string :</p>
      <input type="text" id="input" />
      <br /><br />
      <button onclick="myfunc()">Check</button>
      <br /><br />
      <p id="output"></p>
    </div>
    <script>
      function myfunc() {
        let input = document.getElementById("input").value;
        let result = 0;
        let vowels = ["a", "e", "i", "o", "u"];
        for (let i = 0; i < input.length; i++) {
          if (vowels.includes(input[i])) {
            result = result + 1;
          }
        }
        document.getElementById("output").innerHTML = result;
      }
    </script>
  </body>
</html>
